{% sw_extends '@Storefront/storefront/component/product/card/box-minimal.html.twig' %}

{% block component_product_box_image %}
	{% set dateNow = 'now'|date('U') %}
	
    <div class="product-image-wrapper">
    	
    	{% if product.releaseDate|date("U") > dateNow  %}
			<div class="bg-white d-inline-block py-2 px-4 font-weight-bold available-badge">#baldverfügbar</div>
    	{% endif %}
    
        {# fallback if display mode is not set #}
        {% set displayMode = displayMode ?: 'standard' %}

        {# set display mode 'cover' for box-image with standard display mode #}
        {% if layout == 'image' and displayMode == 'standard' %}
            {% set displayMode = 'cover' %}
        {% endif %}

        <a href="{{ seoUrl('frontend.detail.page', {'productId': id}) }}"
           title="{{ name }}"
           class="product-image-link is-{{ displayMode }}">
            {% if cover.url %}
                {% set attributes = {
                    'class': 'product-image is-'~displayMode,
                    'alt': (cover.translated.alt ?: name),
                    'title': (cover.translated.title ?: name)
                } %}

                {% if displayMode == 'cover' or displayMode == 'contain' %}
                    {% set attributes = attributes|merge({ 'data-object-fit': displayMode }) %}
                {% endif %}

                {% sw_thumbnails 'product-image-thumbnails' with {
                    media: cover,
                    sizes: {
                        'xs': '501px',
                        'sm': '315px',
                        'md': '427px',
                        'lg': '471px',
                        'xl': '471px'
                    }
                } %}
            {% else %}
                <div class="product-image-placeholder">
                    {% sw_icon 'placeholder' style {
                        'size': 'fluid'
                    } %}
                </div>
            {% endif %}
        </a>
    </div>
{% endblock %}



{% block component_product_box_info %}
    <div class="product-info d-flex justify-content-center align-items-center">
        {% block component_product_box_rating %}{% endblock %}
                
        {% block component_product_box_price %}

        {% endblock %}

        {% block component_product_box_description %}

        {% endblock %}

        {% block component_product_box_action %}
        {% endblock %}
    </div>
    
    {% block component_product_box_name %}
        <a href="{{ seoUrl('frontend.detail.page', {'productId': id}) }}"
           class="product-name d-block text-center text-uppercase py-2 py-lg-3"
           title="{{ name }}">
            {{ name }}
        </a>
    {% endblock %}
    
{% endblock %}